# NVFramebufferVertexAttribArray (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class NVFramebufferVertexAttribArray

    java.lang.Object
      org.lwjgl.opengles.NVFramebufferVertexAttribArray

    public final class NVFramebufferVertexAttribArray

extends java.lang.Object

Field Summary
`static int` `GL_FRAMEBUFFER_ATTACHABLE_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV`
`static int` `GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV`
`static int` `GL_VERTEX_ATTRIB_ARRAY_NV`

Method Summary
`static void` `glFramebufferVertexAttribArrayNV(int target, int attachment, int buffertarget, int bufferobject, int size, int type, boolean normalized, long offset, long width, long height, int stride)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FRAMEBUFFER_ATTACHABLE_NV

    public static final int GL_FRAMEBUFFER_ATTACHABLE_NV

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NV

    public static final int GL_VERTEX_ATTRIB_ARRAY_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV

See Also:
  Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV

    public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV

See Also:
  Constant Field Values

Method Detail

### glFramebufferVertexAttribArrayNV

    public static void glFramebufferVertexAttribArrayNV(int target,
                                                        int attachment,
                                                        int buffertarget,
                                                        int bufferobject,
                                                        int size,
                                                        int type,
                                                        boolean normalized,
                                                        long offset,
                                                        long width,
                                                        long height,
                                                        int stride)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.